curl -H "Authorization: Bearer reel25_sk_..." \
https://api.reel25.com/api/v1/folders
const response = await fetch('https://api.reel25.com/api/v1/folders', {
headers: { 'Authorization': 'Bearer reel25_sk_...' },
});
const { data } = await response.json();
import requests
response = requests.get(
'https://api.reel25.com/api/v1/folders',
headers={'Authorization': 'Bearer reel25_sk_...'}
)
{
"data": [
{
"id": "f1a2b3c4-...",
"name": "Competitor Analysis",
"createdAt": "2025-03-01T10:00:00.000Z",
"accountCount": 5,
"videoCount": 120
},
{
"id": "f5d6e7f8-...",
"name": "UGC Inspiration",
"createdAt": "2025-03-05T14:00:00.000Z",
"accountCount": 12,
"videoCount": 340
}
]
}
Folder Management
List Folders
Retrieve all folders in your workspace
GET
/
api
/
v1
/
folders
curl -H "Authorization: Bearer reel25_sk_..." \
https://api.reel25.com/api/v1/folders
const response = await fetch('https://api.reel25.com/api/v1/folders', {
headers: { 'Authorization': 'Bearer reel25_sk_...' },
});
const { data } = await response.json();
import requests
response = requests.get(
'https://api.reel25.com/api/v1/folders',
headers={'Authorization': 'Bearer reel25_sk_...'}
)
{
"data": [
{
"id": "f1a2b3c4-...",
"name": "Competitor Analysis",
"createdAt": "2025-03-01T10:00:00.000Z",
"accountCount": 5,
"videoCount": 120
},
{
"id": "f5d6e7f8-...",
"name": "UGC Inspiration",
"createdAt": "2025-03-05T14:00:00.000Z",
"accountCount": 12,
"videoCount": 340
}
]
}
Returns all folders in your workspace. Folders help you organize tracked accounts and videos into groups for easier management and analysis.
curl -H "Authorization: Bearer reel25_sk_..." \
https://api.reel25.com/api/v1/folders
const response = await fetch('https://api.reel25.com/api/v1/folders', {
headers: { 'Authorization': 'Bearer reel25_sk_...' },
});
const { data } = await response.json();
import requests
response = requests.get(
'https://api.reel25.com/api/v1/folders',
headers={'Authorization': 'Bearer reel25_sk_...'}
)
{
"data": [
{
"id": "f1a2b3c4-...",
"name": "Competitor Analysis",
"createdAt": "2025-03-01T10:00:00.000Z",
"accountCount": 5,
"videoCount": 120
},
{
"id": "f5d6e7f8-...",
"name": "UGC Inspiration",
"createdAt": "2025-03-05T14:00:00.000Z",
"accountCount": 12,
"videoCount": 340
}
]
}
Was this page helpful?